@import url("../tokens.css");

.recruit-training-page {

    .training-header {
        border-bottom: unset;
        padding-bottom: 8px;
        margin-bottom: 20px;
        padding-left: 1px;
        position: absolute;
        background: unset;
        backdrop-filter: unset;
    }

    .training-header__title {
        color: var(--c-primary);
        font-size: 40px;
        font-weight: bold;
        margin: 0;
        text-align: left;
    }

    .training-content {
        padding: 0 5rem;
        padding-bottom: 4rem;
    }

    .training-top-img {
        display: flex;
        gap: 30px;
        justify-content: center;
        align-items: center;
    }

    .content-training-top {
        background-image: url("/img/recruit/graduate/training/training-page-top-back.png");
        background-repeat: no-repeat;
        background-position: top;
        background-size: 100%;
    }

    .training-icon {
        width: 200px;
        filter: drop-shadow(10px 10px 0px #f6f4e1);
    }

    .speech-bubble img {
        width: 600px;
    }

    .training-top-text {
        text-align: left;
        margin: 4rem 2rem;
    }

    .content-training {
        text-align: left;
        scroll-margin-top: 100px;
    }

    .content-training .main {
        padding-bottom: 80px;
    }

    .content-training .title {
        display: flex;
        align-items: center;
        gap: 2rem;
        border-bottom: solid 2px var(--c-primary);
        padding: 0 0 1rem;
    }

    .content-training .title p {
        font-size: 40px;
        font-weight: bold;
        color: var(--c-primary);
    }

    .content-training .title-asset {
        width: 50px;
    }

    .content-training .career {
        padding: 5rem;
        display: flex;
        gap: 5rem;
    }

    .content-training .career .img-education {
        width: 200px;
        flex-shrink: 0;
    }

    .content-training .career .img-education img {
        width: 140px;
        height: 140px;
    }

    .content-training .career .title-border {
        border-left: 4px solid var(--c-primary);
        padding-left: 10px;
        line-height: 1.2;
        font-size: 30px;
        font-weight: bold;
        margin-bottom: 35px;
    }

    .content-training .career .career-content {
        padding-bottom: 1rem;
    }

    .content-training .qualification {
        display: flex;
        padding: 6rem 2rem;
        gap: 10rem;
    }

    .content-training .qualification img{
        width: 20%;
    }

    .content-training .career-pass img{
        width: 80%;
        margin: 0 auto;
        padding: 100px 0;
    }

    /* PC_1024px --- tablet
================================================*/

    @media screen and (max-width: 1024px) {

    .content-training .qualification {
        gap: 2.3rem;
    }

    .content-training .qualification img {
        width: 200px;
    }
}

    /* SP
================================================*/

    @media screen and (max-width: 767px) {

        .content-training .title {
            gap: 0.8rem;
            padding: 0 0 0.5rem;
        }

        .content-training .title-asset {
            width: 30px;
            height: 30px;
        }

        .content-training .title p {
            font-size: 28px;
        }

        .content-training .career {
            padding: 3rem 0 0 0;
            display: flex;
            flex-direction: column;
            gap: 1rem;
            align-items: flex-start;
        }

        .content-training .career .img-education img {
            width: 70px;
            height: 70px;
            display: block;
        }

        .content-training .career .img-education {
            width: auto;
            text-align: center;
            order: 2;
            align-self: flex-end;
            margin-top: 10px;
        }

        .content-training .career .career-content {
            width: 100%;
            padding-bottom: 0;
            order: 1;
        }

        .content-training .career .title-border {
            font-size: 22px;
            margin-bottom: 15px;
        }

        .content-training .qualification {
            display: flex;
            flex-direction: column;
            padding: 3rem 0 0 0;
            gap: 2rem;
            align-items: flex-start;
        }

        .content-training .qualification .message{
            width: 100%;
        }

        .content-training .qualification img{
            width: 120px;
            align-self: flex-end;
        }

        .content-training .career-pass img{
            width: 100%;
            margin: 0 auto;
            padding: 3rem 0;
        }

        .button-group {
            padding: 1rem;
        }

        button a {
            padding: 20px 50px;
        }

        .sp-no-display {
            display: none;
        }

        .training-top-img {
            flex-direction: column;
        }

        .training-top-text {
            margin: 2rem 0rem;
        }

        .training-items__list {
            grid-template-columns: 1fr;
            gap: 2rem;
            padding: 3rem 0;
        }

        .training-items__list li {
            padding: 20px;
        }

        .item__img-back {
            width: 40%;
        }
    }
}
